org.modeshape.jcr.cache

## Class LockFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException
        - - org.modeshape.jcr.cache.DocumentNotFoundException
          - - org.modeshape.jcr.cache.LockFailureException

- All Implemented Interfaces:
    Serializable

      public class LockFailureException
      extends DocumentNotFoundException

  An exception signalling that a node could not be locked.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockFailureException(NodeKey key)`
    `LockFailureException(NodeKey key, String message)`
    `LockFailureException(NodeKey key, String message, Throwable cause)`
    `LockFailureException(NodeKey key, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getNodeKey()` Get the key for the node that could not be locked
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.DocumentStoreException

      `getKey`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockFailureException

          public LockFailureException(NodeKey key)

      Parameters:
        `key` - the key for the node that could not be locked

    - #### LockFailureException

          public LockFailureException(NodeKey key,
                              String message)

      Parameters:
        `key` - the key for the node that could not be locked
        `message` - the message

    - #### LockFailureException

          public LockFailureException(NodeKey key,
                              Throwable cause)

      Parameters:
        `key` - the key for the node that could not be locked
        `cause` - the cause of this exception

    - #### LockFailureException

          public LockFailureException(NodeKey key,
                              String message,
                              Throwable cause)

      Parameters:
        `key` - the key for the node that could not be locked
        `message` - the message
        `cause` - the cause of this exception

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DocumentStoreException`

    - #### getNodeKey

          public NodeKey getNodeKey()

      Get the key for the node that could not be locked
      Returns:
        the key for the node

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.